Page MenuHomePhabricator

[mips] Changed the way symbols are handled in dla and la instructions to allow simple expressions.
ClosedPublic

Authored by s.egerton on Sep 10 2015, 7:21 AM.

Details

Summary

An instruction like "(d)la $5, symbol+8" previously would have crashed the
assembler as it contains an expression. This is now fixed.
A few tests cases have also been changed to reflect these changes, however
these should only be syntax changes. Some new test cases have also been
added.

Diff Detail

Event Timeline

s.egerton updated this revision to Diff 34442.Sep 10 2015, 7:21 AM
s.egerton retitled this revision from to [mips] Changed the way symbols are handled in dla and la instructions to allow simple expressions..
s.egerton updated this object.
s.egerton added reviewers: dsanders, vkalintiris.
s.egerton added a subscriber: llvm-commits.
dsanders accepted this revision.Oct 2 2015, 2:30 AM
dsanders edited edge metadata.

LGTM

This revision is now accepted and ready to land.Oct 2 2015, 2:30 AM
dsanders closed this revision.Oct 5 2015, 6:21 AM

Committed in r249311.

I think you should request commit access at this point. See http://llvm.org/docs/DeveloperPolicy.html#obtaining-commit-access for details.